Subject: bug#67022: Re: bug#67022: Gzip decompression can be 60% faster using zlib's CRC32

From: wrotycz <[email-masked]>
Date: Thu, 14 Mar 2024 19:56:41 +0100

&gt; Mr. Wrotycz,   Mr Adler, let&#39;s spare the formalities. That&#39;s a nickname.   &gt; &gt; On Mar 13, 2024, at 6:14 PM, wrotycz &lt; wrotycz@#$%...   I know it&#39;s a mail list but I would appreciate to not broadcast my email to every (spam)bot on the web. Archive is publicly available and easily searchable by boys, so next time don&#39;t quote someone&#39;s email in the message.   &gt; I’m not sure what you mean by “bloated”   I mean 600[kB] of crc32.h. I know, there is a lot of conditionals (compilation)  that make it much smaller in  resulting object, but the sheer size of it makes me nausea. I guess, there is only one person that can understand flow of conditional directives in it. And crc32_z() is even more complicated in this regard.   To illustrate the difference between code of zlib and, what I consider comprehensible, compare code of xxhash and xxhash-clean.  I hope you understand.  &gt; for CRC-32 does not use slice-by-8. It uses braids   I noticed the lookup table is &#39;upside down&#39; but didn&#39;t know that thing.  And, again, due to level of complexity in the code, I didn&#39;t check it. I have this quirk that I want to understand stuff I use, here I couldn&#39;t so I didn&#39;t follow.   I will check that braids thing when I find something about it.   Regards